summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thorn Inurcide2015-09-04 01:54:55 +0200
committer Willy Sudiarto Raharjo2015-09-05 01:25:10 +0200
commit4e7ed8cb9543ef5dcaa5fa325a6959316846875c (patch)
tree969428eecab93a700dac3e07aa2b66750cb94404
parent58ae7b8d3b4c21ea90f1ce3189c5f573f1e11adb (diff)
downloadslackbuilds-4e7ed8cb9543ef5dcaa5fa325a6959316846875c.tar.gz
multimedia/telepathy-glib: Added (C library for Telepathy Clients).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--multimedia/telepathy-glib/README5
-rw-r--r--multimedia/telepathy-glib/doinst.sh5
-rw-r--r--multimedia/telepathy-glib/slack-desc19
-rw-r--r--multimedia/telepathy-glib/telepathy-glib.SlackBuild99
-rw-r--r--multimedia/telepathy-glib/telepathy-glib.info10
5 files changed, 138 insertions, 0 deletions
diff --git a/multimedia/telepathy-glib/README b/multimedia/telepathy-glib/README
new file mode 100644
index 0000000000..ce2fe2f792
--- /dev/null
+++ b/multimedia/telepathy-glib/README
@@ -0,0 +1,5 @@
+telepathy-glib is a C library using GLib, for use in Telepathy
+clients, connection managers (protocol backends) and other
+components. It can also be used from C++ via extern "C"
+linkage, and from higher-level languages including Python and
+JavaScript via GObject-Introspection.
diff --git a/multimedia/telepathy-glib/doinst.sh b/multimedia/telepathy-glib/doinst.sh
new file mode 100644
index 0000000000..6922dbb756
--- /dev/null
+++ b/multimedia/telepathy-glib/doinst.sh
@@ -0,0 +1,5 @@
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/telepathy-glib/slack-desc b/multimedia/telepathy-glib/slack-desc
new file mode 100644
index 0000000000..1f344db625
--- /dev/null
+++ b/multimedia/telepathy-glib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+telepathy-glib: telepathy-glib (C library using GLib for use in Telepathy clients)
+telepathy-glib:
+telepathy-glib: telepathy-glib is a C library using GLib, for use in Telepathy
+telepathy-glib: clients, connection managers (protocol backends) and other
+telepathy-glib: components. It can also be used from C++ via extern "C"
+telepathy-glib: linkage, and from higher-level languages including Python and
+telepathy-glib: JavaScript via GObject-Introspection.
+telepathy-glib:
+telepathy-glib:
+telepathy-glib:
+telepathy-glib: Home: http://telepathy.freedesktop.org/wiki/
diff --git a/multimedia/telepathy-glib/telepathy-glib.SlackBuild b/multimedia/telepathy-glib/telepathy-glib.SlackBuild
new file mode 100644
index 0000000000..d411fda3b1
--- /dev/null
+++ b/multimedia/telepathy-glib/telepathy-glib.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for telepathy-glib
+
+# Copyright 2015 Thorn Inurcide
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=telepathy-glib
+VERSION=${VERSION:-0.24.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-introspection=yes \
+ --enable-vala-bindings=no \
+ --disable-schemas-compile \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog* COPYING NEWS README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/telepathy-glib/telepathy-glib.info b/multimedia/telepathy-glib/telepathy-glib.info
new file mode 100644
index 0000000000..77d13eb56c
--- /dev/null
+++ b/multimedia/telepathy-glib/telepathy-glib.info
@@ -0,0 +1,10 @@
+PRGNAM="telepathy-glib"
+VERSION="0.24.1"
+HOMEPAGE="http://telepathy.freedesktop.org/wiki/"
+DOWNLOAD="http://telepathy.freedesktop.org/releases/telepathy-glib/telepathy-glib-0.24.1.tar.gz"
+MD5SUM="cbeb0a24acc26e7f095be281c324da69"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="farstream"
+MAINTAINER="Thorn Inurcide"
+EMAIL="thorn-inurcide@yandex.com"